%define name ivtv-firmware
%define version 20070217
%define distsuffix plf
%define release %mkrel 1

Summary: Firmware for the PVR250/350 model series.
Name: %{name}
Version: %{version}
Release: %{release}
License: Hauppauge/Conexant
Group: System/Kernel and hardware
URL: http://ivtvdriver.org/index.php/Firmware
Source0: http://dl.ivtvdriver.org/ivtv/firmware/firmware-%{version}.tar.gz
#Source1: ivtvfwextract.pl
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package contains the firmware for driving WinTV PVR 250/350 cards.

This package is in PLF because it contains closed firmware.

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware/
cd %{buildroot}/lib/firmware/
tar xzvf %{SOURCE0}
#%{SOURCE1} %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc
/lib/firmware/v4l-cx2341x-dec.fw
/lib/firmware/v4l-cx2341x-enc.fw
/lib/firmware/v4l-cx2341x-init.mpg
/lib/firmware/v4l-cx25840.fw
/lib/firmware/v4l-pvrusb2-24xxx-01.fw
/lib/firmware/v4l-pvrusb2-29xxx-01.fw

%changelog
* Sat Feb 24 2007 Stefan van der Eijk <stefan@zarb.org> 20070217-1
- 20070217

* Sun Jul 23 2006 Stefan van der Eijk <stefan@zarb.org> 18_22037-2
- Get latest version.
- I have no clue what version it actually is, but it is the latest.
- md5sum =

* Sat May 09 2004 Stefan van der Eijk <stefan@eijk.nu> 18_22037-1plf
- 22037
- BuildArch: noarch

* Thu Mar 04 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 18_22035-1thac
- Update to 1.8 (22035).

* Fri Jan 02 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 17_21288-1thac
-Rebuilt for Mandrake 9.2

* Mon Dec 29 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Initial build.
